Skip to content

Clusters

All operations require authentication.

5 operationsv1/dbaas/logs
Agent setup

List clustersProduction

GET
/1.0/dbaas/logs/{serviceName}/cluster

Returns the clusters of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Query parameters

namePattern
string

Filter by name (like)

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/cluster \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List cluster retentionsProduction

GET
/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}/retention

Returns the cluster retentions of the Logs Data Platform service.

Path parameters

clusterId
required
stringuuid

Cluster ID

serviceName
required
string

Service name

Response

200string[]successful operation
403objectError 403 response
404objectError 404 response

Example uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}/retention \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a clusterProduction

GET
/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}

Returns the cluster.

Path parameters

clusterId
required
stringuuid

Cluster ID

serviceName
required
string

Service name

Response

200Clustersuccessful operation
archiveAllowedNetworks
read-only
ipBlock[]

Allowed networks for ARCHIVE flow type

certificationLevel
read-only
CertificationLevelEnum

Certification level of the given cluster

ValuesHDSPCI_DSSSNCSOC2STANDARDTRUSTED_ZONE
clusterId
read-only
stringuuid

Cluster ID

clusterType
read-only
ClusterClusterTypeEnum

Cluster type

ValuesDEDICATEDSHARED
dedicatedInputPEM
read-only
string

PEM for dedicated inputs

defaultRetentionId
read-only
stringuuid

Retention ID used by default when none is given on new stream

directInputAllowedNetworks
read-only
ipBlock[]

Allowed networks for DIRECT_INPUT flow type

directInputPEM
read-only
string

PEM for direct inputs

hostname
read-only
string

Hostname

isDefault
read-only
boolean

All content generated by given service will be placed on this cluster

isUnlocked
read-only
boolean

Allow given service to perform advanced operations on cluster

queryAllowedNetworks
read-only
ipBlock[]

Allowed networks for QUERY flow type

region
read-only
ClusterRegionEnum

Data center localization

ValuesBHSGRAP-19RBXSBG
404objectError 404 response

Example uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/cluster/{clusterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "archiveAllowedNetworks": [ "192.0.2.0/24" ], "certificationLevel": "HDS", "clusterId": "00000000-0000-0000-0000-000000000000", "clusterType": "DEDICATED", "dedicatedInputPEM": "string", "defaultRetentionId": "00000000-0000-0000-0000-000000000000", "directInputAllowedNetworks": [ "192.0.2.0/24" ], "directInputPEM": "string", "hostname": "string", "isDefault": true, "isUnlocked": true, "queryAllowedNetworks": [ "192.0.2.0/24" ], "region": "BHS"}

Get a cluster retentionProduction

GET
/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}/retention/{retentionId}

Returns the cluster retention.

Path parameters

clusterId
required
stringuuid

Cluster ID

retentionId
required
stringuuid

Retention ID

serviceName
required
string

Service name

Response

200ClusterRetentionsuccessful operation
duration
read-only
stringduration

Indexed duration expressed in ISO-8601 format

isSupported
read-only
boolean

Indicates if a new stream can use it

retentionId
read-only
stringuuid

Retention ID

retentionType
read-only
RetentionTypeEnum

Retention type

ValuesLOGS_COLD_STORAGELOGS_INDEXINGMETRICS_TENANT
403objectError 403 response
404objectError 404 response

Example uses clusterId = 00000000-0000-0000-0000-000000000000, retentionId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}/retention/{retentionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "duration": "string", "isSupported": true, "retentionId": "00000000-0000-0000-0000-000000000000", "retentionType": "LOGS_COLD_STORAGE"}

Update a clusterProduction

PUT
/1.0/dbaas/logs/{serviceName}/cluster/{clusterId}

Updates the cluster.

Path parameters

clusterId
required
stringuuid

Cluster ID

serviceName
required
string

Service name

Request body (required)

archiveAllowedNetworks
ipBlock[]

Allowed networks for ARCHIVE flow type

directInputAllowedNetworks
ipBlock[]

Allowed networks for DIRECT_INPUT flow type

queryAllowedNetworks
ipBlock[]

Allowed networks for QUERY flow type

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/cluster/{clusterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}